Subject: Re: Best way to specify all local branches and all remote branches.

From: Jakub Narebski <[email-masked]>
Date: Mon, 11 Feb 2008 13:34:47 -0800 (PST)

Paul Gardiner <[email-masked]> writes:

> Johannes Schindelin wrote:
>> On Mon, 11 Feb 2008, Jakub Narebski wrote:
>>
>>> git-filter-branch [...] should support --all.
>>
>> It does.
> 
> Yep, it does. I'd forgotten how to drive the shell. It works if
> I put -- --all.
> 
> Turns out that isn't what I want though. I want just the local
> branches. Still can't find a way to do it other than my cd/ls
> thing.

I wrote: git-for-each-ref(1). See documentation, please.

  $(git for-each-ref --shell --format="%(refname)" "refs/heads/*")

-- 
Jakub Narebski
Poland
ShadeHawk on #git